 :root{
    --primary-color: #0c0809;
    --secondary-color: #FFB6C1;
    --black-color: #000000; 
    --white-color: #ffffff;
    --gray-color: #2a2a2a;
    --dark-gray-color: #303030;
    --font-family: 'Arial', sans-serif;
}
@font-face {
    font-family: ragam ;
    src: url(font/ragam-ragam-medium-500.ttf);
}

.loading{
    height: 100%;
    width: 100%;
    background-color: #000000;
    position: fixed;
    inset: 0 0 0 0;
    z-index: 1000000000;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.5s;
}
.loader{
    width: 50px;
    height: 50px;
    border:10px solid var(--secondary-color);
    border-top-color: black;
    border-radius: 100%;
    animation: loadsite 2s ease-in-out infinite;
}

.loader-hidden{
    transition: 0.5s;
    opacity: 0;
    visibility: hidden;
}


@keyframes loadsite {
    100%{
        transform: rotate(360deg);
    }
}


*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: var(--font-family);
}
.text-offwhite{
    color: #fbfbfb;
}
.fa-star{
    font-size: 8px !important;
}
.container{
    width: 1500px !important;
    max-width: 100% !important;
}
::selection{
    background-color: var(--secondary-color);
    color: var(--white-color);
}
::-moz-selection{
    background-color: var(--secondary-color);
    color: var(--white-color);
}

body{
    background-color: var(--black-color);
    color: var(--white-color);
}


header ul li a{
    font-size: 15px !important;
}


.icons-hero-size{
    font-size: 15px;
}
.contact{
    background-color: var(--gray-color) !important;
    transition: 0.5s !important;
}
.contact:hover{
    background-color: var(--secondary-color) !important;
    color: var(--white-color) !important;
}
.bars{
    width: 30px;
    height: 2px;
    display: block;
    background-color: var(--white-color);
    margin: 10px 0;
    transition: 0.5s ease-in-out;
}
.navtoggler.active .bars:nth-child(1){
    transform: translateY(11px) rotate(45deg);
}
.navtoggler.active .bars:nth-child(2){
    transform: translateY(-1px) rotate(-45deg);
}



@media (max-width: 768px){
    header{
        position: relative;
        padding: 10px 20px;
    }
    .navtoggler{
        display: block !important;
        cursor: pointer;
    }
    nav{
        position: absolute;
        top: 60px;
        left: 0;
        width: 100%;
        background-color: var(--black-color);
        transform: translateY(-200%);
        transition: 0.5s ease-in-out;
    }
    nav.active{
        transform: translateY(0);
    }
    nav ul{
        flex-direction: column;
        align-items: center;
    }
    nav ul li a{
        padding: 10px 20px;
    }
    
}



/* hero section */
.hero .line{
    width: 72%;
    height: 2px;
    background-color: var(--dark-gray-color);
    margin: 20px auto;
}
.lineer{
    width: 65%;
    height: 2px;
    background-color: var(--dark-gray-color);
    margin: 20px auto;
}
.text-pink{
    color: var(--secondary-color);
}
.dot{
    color: var(--secondary-color);
}
.hero .avail{
    font-size: 14px;
}
.btn-light{
    background-color: var(--secondary-color);
    color: var(--black-color);
    transition: 0.5s;
    border: none !important;
}
.bg-brown{
    background-color: var(--primary-color);
}
.bg-pink{
    background-color: var(--secondary-color) !important;
    opacity: 0.2;
}
.btn-light:hover{
    background-color: var(--white-color);
    color: var(--black-color);
}
.hero .start{
    margin-top: 80px !important;
}



/* portfolio-images */
.portfolio-images .port{
    transition: 0.5s;
}
.portfolio-images .port:hover{
    transform: scale(1.03);
    box-shadow: 0 4px 20px rgba(0, 0, 0, 0.605) !important;
}


/* experience */
.experience .line{  
    width: 230px;
    height: 2px;
    background-color: var(--dark-gray-color);
}

@media (max-width: 768px){
    .experience .line, .lineer, .bottom-service .lineer{
        width: 100% !important;
    }
}


@media (max-width: 500px) {
    .myclienth1tag{
        flex-direction: column !important;
    }
}


/* services aspect */
.bottom-service ul li::marker{
    color: var(--secondary-color);
    font-size: 30px;
}

.bottom-service .price{
    opacity: 0.5;
}
.text-secondary{
    color: #a5a4a4 !important;
}



.jorn, .jorn .arrow-show{
    transition: 0.5s;
}
.jorn:hover{
    background-color: #1a1113;
}
.jorn:hover .arrow-show{
    transform: rotate(-40deg);
}

@media (max-width: 1296px){
    .jorn{
        flex-direction: column !important;
        border-radius: 10px !important;
        align-items: start !important;
    }
    .jorn .img{
        width: 100% !important;
        height: 300px !important;
        border-radius: 10px !important;
    }
    .jorn .lineer{
        display: none;
    }
    .jorn .lead{
        margin: 10px 0 !important;
        color: #9c9c9c !important;
    }
}
@media (max-width: 780px) {
    .services small.text-secondary{
        margin-top: 20px !important;
    }
}



@media (max-width: 718px) {
    marquee{
        width: 500px !important;
        max-width: 100% !important;
        margin: 10px auto;
    }
}

@media (max-width: 400px) {
    marquee{
        width: 100% !important;
    }
}


.active{
    background-color: var(--secondary-color);
    color: black;
    border-radius: 10px;
}
.active:hover{
    color: black;
}